# org.apache.ignite.internal.processors.cache.persistence.wal

## Interfaces

- AbstractWalRecordsIterator.AbstractFileDescriptor
- AbstractWalRecordsIterator.AbstractReadFileHandle
- ByteBufferBackedDataInput

## Classes

- AbstractWalRecordsIterator
- ByteBufferBackedDataInputImpl
- ByteBufferExpander
- FileDescriptor
- FileWALPointer
- FileWriteAheadLogManager
- FileWriteAheadLogManager.ReadFileHandle
- SegmentedRingByteBuffer
- SegmentRouter
- SingleSegmentLogicalRecordsIterator

## Enums

- SegmentedRingByteBuffer.BufferMode

## Exceptions

- SegmentEofException
- WalSegmentTailReachedException